package com.huigou.topsun.customer.application;

import com.huigou.topsun.customer.domain.CustomerPayInfo;
import com.huigou.topsun.customer.domain.query.CustomerPayInfoQueryRequest;
import com.huigou.topsun.customer.domain.vo.CustomerPayInfoVo;

import java.util.List;
import java.util.Map;

/**
 * title:
 * author:ZHT
 * date:2023/12/19
 * description:
 */
public interface CustomerPayInfoApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/customer/customerMapper.xml";

    Map<String, Object> getCustomerPayInfoList(CustomerPayInfoQueryRequest queryRequest);

    CustomerPayInfoVo updateCustomerPayInfo(CustomerPayInfo customerPayInfo);

    CustomerPayInfoVo saveCustomerPayInfo(CustomerPayInfo customerPayInfo);

    void deleteCustomerPayInfo(List<String> ids);

    CustomerPayInfoVo getCustomerPayInfoById(String customerPayInfoId);
}
